Bug 1487044 - SELinux is preventing systemd-logind from 'getattr' accesses on the file /dev/shm/PostgreSQL.188495196.
Summary: SELinux is preventing systemd-logind from 'getattr' accesses on the file /dev...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:06792b7dfe1e4a2cbe2df373025...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-31 07:02 UTC by Ann Ndker
Modified: 2017-12-22 08:18 UTC (History)
8 users (show)

Fixed In Version: selinux-policy-3.13.1-260.8.fc26 selinux-policy-3.13.1-260.9.fc26 selinux-policy-3.13.1-260.10.fc26 selinux-policy-3.13.1-260.13.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-17 08:36:08 UTC
Type: ---


Attachments (Terms of Use)

Description Ann Ndker 2017-08-31 07:02:44 UTC
Description of problem:
SELinux is preventing systemd-logind from 'getattr' accesses on the file /dev/shm/PostgreSQL.188495196.

*****  Plugin catchall (100. confidence) suggests   **************************

If вы считаете, что systemd-logind следует разрешить доступ getattr к PostgreSQL.188495196 file по умолчанию.
Then рекомендуется создать отчет об ошибке.
Чтобы разрешить доступ, можно создать локальный модуль политики.
Do
allow this access for now by executing:
# ausearch -c 'systemd-logind' --raw | audit2allow -M my-systemdlogind
# semodule -X 300 -i my-systemdlogind.pp

Additional Information:
Source Context                system_u:system_r:systemd_logind_t:s0
Target Context                system_u:object_r:tmpfs_t:s0
Target Objects                /dev/shm/PostgreSQL.188495196 [ file ]
Source                        systemd-logind
Source Path                   systemd-logind
Port                          <Неизвестно>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-260.6.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.12.8-300.fc26.x86_64 #1 SMP Thu
                              Aug 17 15:30:20 UTC 2017 x86_64 x86_64
Alert Count                   1
First Seen                    2017-08-31 10:57:53 +04
Last Seen                     2017-08-31 10:57:53 +04
Local ID                      96611b1f-c923-48ca-af2a-48e60da465f8

Raw Audit Messages
type=AVC msg=audit(1504162673.986:277): avc:  denied  { getattr } for  pid=625 comm="systemd-logind" path="/dev/shm/PostgreSQL.188495196" dev="tmpfs" ino=25345 scontext=system_u:system_r:systemd_logind_t:s0 tcontext=system_u:object_r:tmpfs_t:s0 tclass=file permissive=0


Hash: systemd-logind,systemd_logind_t,tmpfs_t,file,getattr

Version-Release number of selected component:
selinux-policy-3.13.1-260.6.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.8-300.fc26.x86_64
type:           libreport

Potential duplicate: bug 1190461

Comment 1 Fedora Update System 2017-09-01 09:20:34 UTC
selinux-policy-3.13.1-260.8.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fd93b6e5f8

Comment 2 Fedora Update System 2017-09-03 05:23:24 UTC
selinux-policy-3.13.1-260.8.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fd93b6e5f8

Comment 3 Fedora Update System 2017-09-05 00:51:11 UTC
selinux-policy-3.13.1-260.8.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Kleber Rausis 2017-09-14 00:24:43 UTC
Description of problem:
Detalhes aparecendo no log

Version-Release number of selected component:
selinux-policy-3.13.1-260.8.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.11-300.fc26.x86_64
type:           libreport

Comment 5 Fedora Update System 2017-09-18 10:58:45 UTC
selinux-policy-3.13.1-260.9.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0cf00e6f4e

Comment 6 Fedora Update System 2017-09-19 04:21:39 UTC
selinux-policy-3.13.1-260.9.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0cf00e6f4e

Comment 7 Fedora Update System 2017-09-20 22:54:19 UTC
selinux-policy-3.13.1-260.9.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-09-29 12:59:04 UTC
selinux-policy-3.13.1-260.10.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-29d4eac4a8

Comment 9 Fedora Update System 2017-10-01 23:53:07 UTC
selinux-policy-3.13.1-260.10.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-29d4eac4a8

Comment 10 Fedora Update System 2017-10-02 16:22:18 UTC
selinux-policy-3.13.1-260.10.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-10-10 11:58:33 UTC
selinux-policy-3.13.1-260.12.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-88b6a06bce

Comment 12 Fedora Update System 2017-10-11 02:54:46 UTC
selinux-policy-3.13.1-260.12.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-88b6a06bce

Comment 13 Fedora Update System 2017-10-11 20:08:15 UTC
selinux-policy-3.13.1-260.13.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-88b6a06bce

Comment 14 Fedora Update System 2017-10-13 04:22:29 UTC
selinux-policy-3.13.1-260.13.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-88b6a06bce

Comment 15 Ann Ndker 2017-10-17 08:36:08 UTC
Fixed,
Thank You.

Comment 16 Fedora Update System 2017-10-17 19:21:04 UTC
selinux-policy-3.13.1-260.13.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.